//Douze : ut4_douzetraining
textures/douzetraining/ground
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/douzetraining/ground.jpg //http://www.cgtextures.com/
        blendFunc filter
    }
}

textures/douzetraining/jumpable
{
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/douzetraining/jumpable.jpg //http://www.cgtextures.com/
        blendFunc filter
    }
}

textures/douzetraining/jumpable_cd_ns //Jumpable, with cull disable and non solid
{
	qer_editorimage textures/douzetraining/jumpable.jpg //http://www.cgtextures.com/
    surfaceparm nodamage
	surfaceparm nonsolid
	cull disable
    {
        map $lightmap
    }
    {
        map textures/douzetraining/jumpable.jpg //http://www.cgtextures.com/
        blendFunc filter
    }
}


textures/douzetraining/wall
{
    {
        map $lightmap
    }
    {
        map textures/douzetraining/wall.jpg //http://www.cgtextures.com/
        blendFunc filter
    }
}

textures/douzetraining/light
{
	qer_editorimage textures/douzetraining/light.jpg
	qer_trans 0.7
	q3map_surfacelight 9500
	surfaceparm nonsolid
	{
		map textures/douzetraining/light.jpg
	}
}

textures/douzetraining/light_solid //Light, solid
{
	qer_editorimage textures/douzetraining/light_solid.jpg
	qer_trans 0.7
	q3map_surfacelight 9500
	{
		map textures/douzetraining/light.jpg
	}
}

textures/douzetraining/light_cd //Light, cull disable
{
	qer_editorimage textures/douzetraining/light.jpg
	qer_trans 0.7
	q3map_surfacelight 9500
	surfaceparm nonsolid
	cull disable
	{
		map textures/douzetraining/light.jpg
	}
}


textures/douzetraining/congratulations
{
    qer_editorImage textures/douzetraining/congratulations_radiant.tga
    polygonOffset
    {
        map textures/douzetraining/congratulations.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/douzetraining/thanks
{
    qer_editorImage textures/douzetraining/thanks_radiant.tga
    polygonOffset
    {
        map textures/douzetraining/thanks.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/douzetraining/contact
{
    qer_editorImage textures/douzetraining/contact_radiant.tga
    polygonOffset
    {
        map textures/douzetraining/contact.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}


//apath0's shader
textures/douzetraining/river
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 1 1 0 1	
	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.2 0
	}
	{ 
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.2 0
	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll -.2 0
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


//Rambetter's shader
textures/douzetraining/glass
{
    qer_editorImage textures/douzetraining/glass.tga
    qer_trans 0.5
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm trans
    cull disable
    {
        map textures/douzetraining/glass.tga
        blendFunc add
        tcGen environment
    }
}

textures/douzetraining/icy
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/douzetraining/icy.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/douzetraining/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


//Urban Terror shader : prague
textures/douzetraining/fs_rain2
{
    surfaceparm trans	
    surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/douzetraining/fs_rain2.tga
        tcMod Scroll .3 2
        blendFunc GL_ONE GL_ONE
   }
}


//Web
textures/douzetraining/camera
{
	qer_editorimage textures/douzetraining/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/douzetraining/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

